Grant an exemption to an agent
curl --request POST \
--url https://api.mnemom.ai/v1/agents/{agent_id}/exemptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"reason": "<string>",
"exempt_patterns": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.mnemom.ai/v1/agents/{agent_id}/exemptions"
payload = {
"reason": "<string>",
"exempt_patterns": ["<string>"],
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reason: '<string>',
exempt_patterns: ['<string>'],
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.mnemom.ai/v1/agents/{agent_id}/exemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exemption": {
"id": "<string>",
"agent_id": "<string>",
"reason": "<string>",
"granted_by": "<string>",
"granted_at": "2023-11-07T05:31:56Z",
"status": "active",
"exempt_patterns": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z"
},
"agent_id": "<string>",
"recomposed": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Agents
Grant an exemption to an agent
Requires org owner or admin of the agent’s org.
POST
/
agents
/
{agent_id}
/
exemptions
Grant an exemption to an agent
Authorizations
BearerAuthApiKeyAuthCookieAuth
Supabase JWT token in Authorization: Bearer header
Headers
Path Parameters
Agent identifier (e.g. smolt-abc123)
Body
application/json
Template section this exemption relaxes.
Available options:
autonomy.forbidden_actions, enforcement.forbidden_tools, autonomy.max_autonomous_value Business justification for the exemption (required, ≥20 chars).
Required string length:
20 - 500Specific patterns to exempt within the section. null exempts the entire section.
Maximum array length:
50Maximum string length:
256Expiry. Omit for default +90 days. null = permanent (explicit opt-in).
⌘I